Class | Spec::Story::Runner::StoryMediator::Scenario
In: | lib/spec/story/runner/story_mediator.rb
Parent: | Object

### Methods

add_step new to_proc

### Public Class methods

new(name)

[Source]

        # File lib/spec/story/runner/story_mediator.rb, line 85
    85:           def initialize(name)
    86:             @name = name
    87:             @steps = []
    88:           end

### Public Instance methods

add_step(step)

[Source]

         # File lib/spec/story/runner/story_mediator.rb, line 100
    100:           def add_step(step)
    101:             @steps << step
    102:           end

to_proc()

[Source]

        # File lib/spec/story/runner/story_mediator.rb, line 90
    90:           def to_proc
    91:             name = @name
    92:             steps = @steps.collect { |step| step.to_proc }
    93:             lambda do
    94:               Scenario name do
    95:                 steps.each { |step| instance_eval(&step) }
    96:               end
    97:             end
    98:           end

[Validate]